@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.kochi-archive-area p.has-brand-color {
	color: var(--button-brand-color);
}

.kochi-archive-area p.has-highlight-color {
	color: var(--button-highlight-color);
}

.kochi-archive-area p {
	font-feature-settings: 'pwid' on;
}

.kochi-archive-area p.has-text-align-left {
	text-align: left;
}

.kochi-archive-area p.has-text-align-center {
	text-align: center;
}

.kochi-archive-area p.has-text-align-right {
	text-align: right;
}

.kochi-archive-area a {
	color: var(--element-anchor-color);
}

.kochi-archive-area a .has-icon {
	position: relative;
	z-index: 1;
}

.kochi-archive-area a .has-icon::after {
	content: '';
	display: inline-block;
	vertical-align: sub;
	width: 18px;
	height: 18px;
	background-color: currentcolor;
	-webkit-mask-size: 18px 18px;
	mask-size: 18px 18px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
}

.kochi-archive-area a .has-icon.is-icon-internal::after {
	-webkit-mask-image: url(../images/icon/is-internal.svg);
	mask-image: url(../images/icon/is-internal.svg);
}

.kochi-archive-area a .has-icon.is-icon-external::after {
	-webkit-mask-image: url(../images/icon/is-external.svg);
	mask-image: url(../images/icon/is-external.svg);
}

.kochi-archive-area a .has-icon.is-icon-pdf::after {
	-webkit-mask-image: url(../images/icon/is-pdf.svg);
	mask-image: url(../images/icon/is-pdf.svg);
}

.kochi-archive-area a .has-icon.is-icon-anchor::after {
	-webkit-mask-image: url(../images/icon/is-anchor.svg);
	mask-image: url(../images/icon/is-anchor.svg);
}

.kochi-archive-area a .has-icon.is-icon-word::after {
	-webkit-mask-image: url(../images/icon/is-word.svg);
	mask-image: url(../images/icon/is-word.svg);
}

.kochi-archive-area a .has-icon.is-icon-excel::after {
	-webkit-mask-image: url(../images/icon/is-excel.svg);
	mask-image: url(../images/icon/is-excel.svg);
}

.kochi-archive-area a .has-icon.is-icon-powerpoint::after {
	-webkit-mask-image: url(../images/icon/is-powerpoint.svg);
	mask-image: url(../images/icon/is-powerpoint.svg);
}

.kochi-archive-area a .has-icon.is-icon-image::after {
	-webkit-mask-image: url(../images/icon/is-img.svg);
	mask-image: url(../images/icon/is-img.svg);
}

.kochi-archive-area a .has-icon.is-icon-audio::after {
	-webkit-mask-image: url(../images/icon/is-audio.svg);
	mask-image: url(../images/icon/is-audio.svg);
}

.kochi-archive-area a .has-icon.is-icon-youtube::after {
	background-color: var(--element-youtube-color);
	-webkit-mask-image: url(../images/icon/is-youtube.svg);
	mask-image: url(../images/icon/is-youtube.svg);
}

.kochi-archive-area a:hover .has-icon.is-icon-youtube::after,
.kochi-archive-area a:active .has-icon.is-icon-youtube::after,
.kochi-archive-area a:focus-visible .has-icon.is-icon-youtube::after {
	background-color: var(--element-youtube-color);
}

.kochi-archive-area {
	margin-inline: auto;
	padding-inline: 24px;
	max-width: 1248px;
}

.kochi-archive-content .kochi-archive-list > ol {
	margin-block: 0;
	padding-inline-start: 0;
	display: grid;
	list-style-type: '';
}

.kochi-archive-content .kochi-archive-list > ol > li {
	display: grid;
	grid-template-rows: subgrid;
	grid-row: span 3;
	row-gap: 8px;
	min-width: 0;
}

.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-published p {
	font-size: var(--font-size-small);
}

.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-thumbnail img {
	aspect-ratio: 282/400;
	-o-object-fit: cover;
	object-fit: cover;
	width: 100%;
	height: 100%;
}

.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-content {
	padding-block-end: 0;
	padding-inline: 0;
	display: flex;
	flex-direction: column;
	gap: 8px;
	width: 100%;
}

.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-title {
	margin-block: 0;
	padding-inline-start: 0;
	border-inline-start: 0;
}

.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-description > p {
	padding-block: 0;
	font-feature-settings: 'pwid' on;
	font-size: var(--font-size-small);
}

.kochi-archive-content .kochi-archive-list > ol > li .wp-block-buttons {
	padding-block: 0;
	display: block;
}

.kochi-archive-content .kochi-archive-list > ol > li .wp-block-button .wp-block-button__link {
	display: flex;
	justify-content: center;
}

@media screen and (max-width: 1024px) {

	.kochi-archive-area p {
		padding-block: 12px;
		font-size: var(--font-size-p-sp);
	}

	.kochi-archive-area p.has-medium-font-size {
		font-size: var(--font-size-p-sp-m);
	}

	.kochi-archive-area p.has-large-font-size {
		font-size: var(--font-size-p-sp-l);
	}

	.kochi-archive-area {
		padding-block-end: 48px;
	}

	.kochi-archive-content .kochi-archive-list {
		padding-block: 12px;
	}

	.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-title {
		font-size: var(--font-size-h4-sp);
	}
}

@media screen and (min-width: 1025px) {

	.kochi-archive-area p {
		padding-block: 16px;
		font-size: var(--font-size-p-pc);
	}

	.kochi-archive-area p.has-medium-font-size {
		font-size: var(--font-size-p-pc-m);
	}

	.kochi-archive-area p.has-large-font-size {
		font-size: var(--font-size-p-pc-l);
	}

	.kochi-archive-area {
		padding-block-end: 80px;
	}

	.kochi-archive-content .kochi-archive-list {
		padding-block: 16px;
	}

	.kochi-archive-content .kochi-archive-list > ol {
		gap: 24px;
	}

	.kochi-archive-content .kochi-archive-list > ol > li .kochi-archive-item-title {
		font-size: var(--font-size-h4-pc);
	}
}

@media screen and (max-width: 768px) {

	.kochi-archive-content .kochi-archive-list > ol {
		row-gap: 16px;
	}
}

@media screen and (max-width: 1024px) and (min-width: 769px) {

	.kochi-archive-content .kochi-archive-list > ol {
		gap: 16px;
	}
}

@media screen and (min-width: 769px) {

	.kochi-archive-content .kochi-archive-list > ol {
		grid-template-columns: repeat(4, 1fr);
	}
}
